Create Insights on an AOI
Creates an insight or get the estimated cost of running the insight.
POST/v0/aoi/{aoi_id}/insights
Authorisations
AuthorizationString
Path Parameters
aoi_idstringrequired
ID of the AOI on which you want to run the insightRequest Body
namestring
Name is a human-readable title for the insightblockobjectrequired
Describes the processing block to use for the insightinputinteger[]required
Inputs to the insightproject_idstring
Identifies which project this insight belongs tometadataobject
Contains additional key-value information about the insightestimateboolean
Indicates whether to return a cost estimate instead of running the insight.Response
When estimating costapplication/json
estimateinteger
Estimate provides the computed cost value for the insight executionCreate Insights on an AOI
1curl -X POST 'https://api.pixxel.space/v0/aoi/{aoi_id}/insights' \2 -H 'Authorization: YOUR_API_KEY' \3 -H 'Content-Type: application/json' \4 -d '{5 "name": "string",6 "block": {7 "name": "string",8 "string": "string",9 "version": "string"10 },11 "input": [12 013 ],14 "project_id": "string",15 "metadata": {},16 "estimate": true17}'
Response:
{"estimate": 0}